Subject: [cuss] Some comments on draft-ietf-cuss-sip-uui-05

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Tue, 27 Mar 2012 11:57:33 +0200

1)	Section 1 Overview

I think the first paragraph here needs rewriting. It implies that the function of this document is to provide the ISDN service, whereas it is this document plus the ISDN package that provides that. It could be trying to say is that we are developing this capability because the ISDN has something similar, but it doesn't say that at the moment.

2)	Throughout the document replace "UUI header field" with "User-to-User header field".

3)	I think we need some more words generally on compatibility and extendibility.

Obviously the primary means of extendibility is to define a new package, and either to use it in parallel or in place of another package.

But is it possible for an updated RFC to extend the number of values of either the "encoding" header field parameter or the "content" header field parameter within an existing package.

The net effect of this on an older implementation is that it will have to discard the information that it does not understand. 

It is possible that an application using a package could handle this loss of data at the application layer itself, either by negotiation of capabilities within the application layer itself, or where the information discarded is not important.

I'll admit that the use case for this is not compulsive, particularly if we wish the UUIdata that may have been discarded to have some impact on SIP call control.

Either way we should indicate the possibility or not in the draft. I would suggest having a separate section that covers compatibility and extendibility.

4)	Section 4

"  If not present, the content MUST be assumed to be unknown as
   it is in the ISDN UUI Service.  Newly defined UUI packages MUST
   define a new "content" value."

The way this has been treated in the ISDN package is that the package defines the default value that is the understanding if it is not present. This is not reflected by this text so one of the documents needs to change.

Regards

Keith